<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingHorizontal="16dp"
    android:paddingTop="20dp"
    android:paddingBottom="20dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="36dp"
        android:layout_height="36dp"
        app:gameIconCornerRadius="8dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_game_name"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toTopOf="@id/tv_time"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="@id/iv_icon"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称游戏名称" />

    <TextView
        android:id="@+id/tv_time"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/text_tertiary"
        app:layout_constraintBottom_toBottomOf="@id/iv_icon"
        app:layout_constraintStart_toStartOf="@id/tv_game_name"
        app:layout_constraintTop_toBottomOf="@id/tv_game_name"
        tools:text="15分钟前" />

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextHeadline"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_icon"
        tools:text="目前非对称多人竞技手游的最佳作，极强的目前非对称多人竞技手游的最佳作" />

    <TextView
        android:id="@+id/tv_description"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:maxLines="2"
        android:textColor="@color/text_secondary"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:text="玩家将扮演侦探奥尔菲斯，在收到一封神秘的委托信玩家将扮演侦探奥尔菲斯，在收到一封神秘的委托信玩家将扮演侦探奥尔菲斯，在收到一封神秘的委托信" />

    <com.gh.common.view.ImageContainerView
        android:id="@+id/iv_images_container"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_description"
        app:offset="32dp" />

    <TextView
        android:id="@+id/tv_share"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:drawablePadding="4dp"
        android:gravity="center_vertical"
        android:text="@string/share"
        android:textColor="@color/text_tertiary"
        app:drawableStartCompat="@drawable/ic_game_article_share"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_images_container" />

    <TextView
        android:id="@+id/tv_comment"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="24dp"
        android:drawablePadding="4dp"
        android:gravity="center_vertical"
        android:text="@string/comment"
        android:textColor="@color/text_tertiary"
        app:drawableStartCompat="@drawable/community_comment_count"
        app:layout_constraintEnd_toStartOf="@id/tv_share"
        app:layout_constraintTop_toTopOf="@id/tv_share" />
</androidx.constraintlayout.widget.ConstraintLayout>